Summary: TclDOM is a package that provides a DOM binding for the Tcl scripting language
Name: tcldom
Version: 3.1
Release: 7%{?dist}
License: BSD
Group: Development/Libraries
URL:    http://tclxml.sourceforge.net/
Source: http://dl.sf.net/tclxml/tcldom-3.1.tar.gz
Patch0: tcldom.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: tcl-devel libxml2-devel tclxml-devel
Requires: tcl tclxml tcllib libxml2

%description
This package provides a DOM binding for Tcl.  It provides one of the following
implementations:
    *     A Tcl-only implementation (slow, but no compilation required),
    *     A wrapper for the Gnome libxml2 library [http://xmlsoft.org/]
          (also fast and compatiable with TclXSLT/libxslt
          [http://tclxml.sourceforge.net/tclxslt.html]).

%package libxml2
Summary: The Tcl dom parser built with the libxml2 xml parser
Group: Development/Libraries
Requires: %{name} = %{version}-%{release} tclxml-libxml2
%description libxml2
This package provides an optimized Tcl dom parser built with the libxml2
xml parser.

%package devel
Summary: The Tcl dom parser development files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release} tclxml-devel
Requires: %{name}-libxml2 = %{version}-%{release} tclxml-devel
%description devel
Development headers and libraries needed to link new applications against
tcldom.

%prep
%setup -q
%patch0 -p1
%{__sed} -i 's/\r//' examples/tkxmllint.tcl

%build
cd src-libxml2
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
# We have to hand-install the base Tcl files since the configure script
# doesn't take care of that.
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}%{version}
install -m 0644 library/*.tcl $RPM_BUILD_ROOT/%{_datadir}/%{name}%{version}
sed -e 's/@VERSION@/%{version}/' < library/pkgIndex.tcl.in > $RPM_BUILD_ROOT/%{_datadir}/%{name}%{version}/pkgIndex.tcl

cd src-libxml2
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/%{name}%{version}
%doc ChangeLog README MANIFEST RELNOTES LICENSE
%doc docs/* examples/*

%files libxml2
%defattr(-,root,root)
%dir %{_libdir}/%{name}_libxml2%{version}
%{_libdir}/%{name}_libxml2%{version}/*.tcl
%{_libdir}/%{name}_libxml2%{version}/*.so

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/%{name}libxml2Config.sh
%{_libdir}/%{name}_libxml2%{version}/*.a

%changelog
* Fri Apr 13 2007 Wart <wart at kobold.org> - 3.1-7
- Fix BuildRequires: for directory ownership in -devel subpackage

* Mon Aug 28 2006 Wart <wart at kobold.org> - 3.1-6
- Rebuild for Fedora Extras

* Thu Jun 1 2006 Wart <wart at kobold.org> - 3.1-5
- Fixed Requires: for subpackages

* Wed Feb 22 2006 Wart <wart at kobold.org> - 3.1-4
- Rebuild for FC5

* Wed Jan 11 2006 Wart <wart at kobold.org> - 3.1-3
- Fix quoting bug that is exposed by bash >= 3.1

* Tue Dec 13 2005 Wart <wart at kobold.org> - 3.1-2
- Update patch to fix version numbers that weren't updated upstream

* Sun Nov 27 2005 Wart <wart at kobold.org> - 3.1-1
- Update to new upstream sources.

* Sat Nov 26 2005 Wart <wart at kobold.org> - 3.0-2
- Minor spec file changes to remove rpmlint warnings

* Fri Jun 17 2005 Wart <wart at kobold.org> - 3.0-1
- New spec file to conform to Fedora Core 4 standards.
